snapd-glib (1.70-0ubuntu1) questing; urgency=medium

  * New upstream release (1.70)
  * d/patches: Drop no longer needed 1002_fix-public-include-not-installed.patch
  * d/libsnapd-glib-2-1.symbols: Update from build logs.

 -- Rik Mills <rikmills@kde.org>  Fri, 06 Jun 2025 09:03:22 +0100

snapd-glib (1.67-2ubuntu1) questing; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Do not perform dual Qt5/Qt6 builds. Only Qt6 is required in Ubuntu.
      + d/patches/series: Comment out 1001_support-qt5+qt6-dual-builds.patch
      + d/rules: debhelper overrides to perform dual build not required.
      + d/control, d/*.install: Renaming of packages to accommodate dual build
        not required. We can keep upstream intended soname etc.
    - Skip Qt6 build on i386. In Ubuntu Qt6 is not built on i386 yet.
      + d/rules: on i386 set meson_opts += -Dqt6=false -Dqml-bindings=false
      + d/control: exclude i386 for Qt6 build depends and binary packages.

 -- Rik Mills <rikmills@kde.org>  Sun, 01 Jun 2025 09:17:33 +0100

snapd-glib (1.67-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Add patch for snapdqt_global.h not being installed breaking builds
    of reverse dependencies like plasma-discover. (Closes: #1104844)

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 20 May 2025 09:22:58 +0200

snapd-glib (1.67-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Add 2001_install-docs-to-html-subfolder.patch. Use a different install
      target for doc files.
  * debian/control:
    + Drop from B-D: gtk-doc-tools, add gi-docgen instead.
    + Bump Standards-Version: to 4.7.2. No changes needed.
  * debian/rules:
    + Drop execute_before_dh_install: override. No need to move doc files
      around anymore.
  * debian/libsnapd-glib-2-1.symbols:
    + Update file.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 04 May 2025 20:51:31 +0200

snapd-glib (1.66-2) unstable; urgency=medium

  * debian/patches:
    + Update 1001_support-qt5+qt6-dual-builds.patch. Fix filenames of generated
      .cmake files when building against Qt6. Thanks to Aurélien COUDERC for
      testing the Qt6 builds of snapd-glib.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 01 Apr 2025 14:31:58 +0200

snapd-glib (1.66-1) unstable; urgency=medium

  * Re-upload to unstable as is.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 12 Mar 2025 08:17:58 +0100

snapd-glib (1.66-1~exp2) experimental; urgency=medium

  * debian/patches:
    + Update 1001_support-qt5+qt6-dual-builds.patch. CMake folder names required
      adjustments to be automatically found by CMake.
  * debian/libsnapd-qt{,6}-dev.install:
    + Adjust to path name changes of CMake configuration files.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 10 Mar 2025 09:34:09 +0100

snapd-glib (1.66-1~exp1) experimental; urgency=medium

  * Upload to experimental.

  [ Scarlett Moore ]
  * New upstream release (1.66)
  * Bump standards version; no changes required.

  [ Mike Gabriel ]
  * debian/patches:
    + Add 1001_support-qt5+qt6-dual-builds.patch. Support dually building
      against Qt5 and Qt6.
  * debian/:
    + Dual build against Qt5 and Qt6 (introducing new Qt6-related bin:pkgs.
  * debian/control:
    + Drop from B-D: pkg-kde-tools. Not used anymore.
    + Add ${gir:Provides} to libsnapd-glib-dev.
  * debian/copyright:
    + Update copyright attributions for debian/.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 10 Mar 2025 08:37:54 +0100

snapd-glib (1.66-0ubuntu1) plucky; urgency=medium

  * New upstream release (1.66)
  * Drop no longer required upstream patches.
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sun, 26 Jan 2025 13:39:01 +0000

snapd-glib (1.65-0ubuntu3) plucky; urgency=medium

  * Rebuild against Qt 6.7.2

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Oct 2024 10:42:42 +0000

snapd-glib (1.65-0ubuntu2) oracular; urgency=medium

  * debian/patches: Apply upstream_fix-build-in-armhf.patch to fix tests
    on armhf. (LP: #2077200)
  * debian/rules: Make build time tests fatal again.

 -- Rik Mills <rikmills@kde.org>  Tue, 10 Sep 2024 11:42:29 +0100

snapd-glib (1.65-0ubuntu1) oracular; urgency=medium

  [ Simon Quigley ]
  * New upstream release.

  [ Rik Mills ]
  * Add upstream_install-notice-header.patch to fix plasma-discover
    FTBFS.
  * Do not build for Qt6 on i386, as build dependencies are not available.
  * Make build time tests non fatal for now:
    https://github.com/canonical/snapd-glib/issues/162

 -- Rik Mills <rikmills@kde.org>  Sun, 07 Jul 2024 06:29:35 +0100

snapd-glib (1.64-1ubuntu1) oracular; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - debian/tests/control: Unmark unit test as flaky
  * Dropped changes, no longer needed:
    - debian/libsnapd-qt1.symbols: Use C++ symbol names.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 06 Jun 2024 14:39:16 -0700

snapd-glib (1.64-1) unstable; urgency=medium

  * New upstream release.
  * debian/libsnapd-qt-2-1.symbols:
    + Drop file. Resolve various issues with C++ symbols and API derivations
      related to 3rd party code / compiler changes. (Closes: #1064650, #1067380,
      #1015665).
  * debian/libsnapd-glib-2-1.symbols:
    + Update symbols.
  * debian/copyright:
    + Update copyright attribution for debian/.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 25 Mar 2024 14:39:15 +0100

snapd-glib (1.63-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update libsnapd-qt-2-1.symbols to support riscv64. (Closes: #1052429)

 -- Bo YU <tsu.yubo@gmail.com>  Mon, 08 Jan 2024 16:11:01 +0800

snapd-glib (1.64-0ubuntu5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:23:03 +0000

snapd-glib (1.64-0ubuntu4) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 07:08:58 +0000

snapd-glib (1.64-0ubuntu3) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 06:59:07 +0000

snapd-glib (1.64-0ubuntu2) mantic; urgency=medium

  * Update symbols files

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 13 Jul 2023 16:23:38 -0400

snapd-glib (1.64-0ubuntu1) mantic; urgency=medium

  * Sync with Debian. Remaining changes:
    + debian/libsnapd-qt1.symbols:
      - Use C++ symbol names.
  * debian/tests/control: Unmark unit test as flaky
  * New upstream release compatible with glib 2.77.0
  * Update symbols files

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 13 Jul 2023 15:42:17 -0400

snapd-glib (1.63-5) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Build-Depend on dh-sequence-gir & dh-sequence-pkgkde-symbolshelper
  * Simplify debian/rules a bit

  [ Mike Gabriel ]
  * debian/tests/control:
    + Mark (only) autopkgtest 'unit' as flaky for now as suggested by
      Paul Gevery. (Closes: #1019707, #1018083).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 27 Jan 2023 20:50:10 +0100

snapd-glib (1.63-4ubuntu1) lunar; urgency=medium

  * Merge with Debian, remaining Ubuntu changes:
    + Build-Depend on dh-sequence-translations instead of kde-symbolshelper
    + debian/libsnapd-qt1.symbols:
      - Use C++ symbol names.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 15 Dec 2022 09:40:26 -0500

snapd-glib (1.63-4) unstable; urgency=medium

  * Team upload
  * Release to unstable

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 08 Dec 2022 18:04:57 -0500

snapd-glib (1.63-3) experimental; urgency=medium

  [ Debian Janitor ]
  * debian/control:
    + Apply multi-arch hints.
    + qml-module-snapd: Add Multi-Arch: same.

  [ Mike Gabriel ]
  * debian/libsnapd-qt-2-1.symbols:
    + Update .symbols file for more architectures.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 08 Dec 2022 21:47:10 +0100

snapd-glib (1.63-2) experimental; urgency=medium

  * debian/libsnapd-qt-2-1.symbols:
    + Update for armel, armhf, i386, mips64el, powerpc, ppc64, ppc64el, riscv64
      and s390x.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 25 Sep 2022 23:14:47 +0200

snapd-glib (1.63-1) experimental; urgency=medium

  * Upload to experimental.

  [ Jeremy Bicha ]
  * New upstream release.
  * Build with libsoup3.
  * Update libraries for soname bump.

  [ Mike Gabriel ]
  * debian/watch:
    + Adjust for changed URLs over at Github.
  * debian/*.symbols:
    + Update .symbols for 1.63.
  * debian/control:
    + Bump Standards-Version: to 4.6.1. No changes needed.
  * debian/copyright:
    + Update copyright attributions for debian/*.

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 22 Sep 2022 22:41:17 +0200

snapd-glib (1.63-0ubuntu1) kinetic; urgency=medium

  * New upstream release
  * Build with libsoup3
  * Update libraries for soname bump
  * debian/libsnapd-qt-2-1.symbols: Add new symbols
  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 24 Aug 2022 08:03:42 -0400

snapd-glib (1.60-1) unstable; urgency=medium

  * New upstream release.
  * debian/*.symbols:
    + Update .symbols files.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 23 Apr 2022 00:54:39 +0200

snapd-glib (1.60-0ubuntu1) jammy; urgency=medium

  * New upstream release.
  * debian/*.symbols:
    - Updated

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 17 Feb 2022 12:45:02 +1300

snapd-glib (1.59-3ubuntu1) jammy; urgency=medium

  * Merge with Debian, remaining Ubuntu changes:
  * debian/rules:
    - Use dh-translations to make translatable
    - Not using pkgkde_symbolshelper
  * debian/control:
    - Set maintainer to Ubuntu.
    - Build-depend on dh-translations, drop pkgkde_symbolshelper
  * debian/libsnapd-qt1.symbols:
    - Use C++ symbol names.

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 17 Feb 2022 12:33:08 +1300

snapd-glib (1.59-3) unstable; urgency=medium

  * debian/libsnapd-qt1.symbols:
    + Update symbols from previous build logs.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 28 Nov 2021 18:39:25 +0100

snapd-glib (1.59-2) unstable; urgency=medium

  * debian/libsnapd-qt1.symbols:
    + Update symbols from previous build logs.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 28 Nov 2021 13:23:29 +0100

snapd-glib (1.59-1) unstable; urgency=medium

  * New upstream release.
  * debian/{control,compat}:
    + Switch to debhelper-compat notation. Bump to DH compat level version 13.
  * debian/control:
    + Bump to Standards-Version: 4.6.0. No changes needed.
    + Add Rules-Requires-Root: field and set it to 'no'.
  * debian/{control,snapd-glib-tests.install}:
    + Make snapd-glib-tests Multi-Archi:foreign (was: same).
  * debian/rules:
    + Add get-orig-source target for maintainers' convenience.
  * debian/{rules,libsnapd-glib-dev.*}:
    + Install gtk-doc files to pkg's documentation folder, register API
      documentation with doc-base.
  * debian/*.symbols:
    + Update .symbols files. (Closes: #997455).
    + Add Build-Depends-Package: metadata field.
  * debian/libsnapd-glib-dev.examples:
    + Add example file.
  * debian/upstream/metadata:
    + Add file. Comply with DEP-12.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 27 Nov 2021 17:36:42 +0100

snapd-glib (1.58-4) unstable; urgency=medium

  * debian/rules:
    + Typo fix in debhelper arguoment.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 04 Feb 2021 21:53:41 +0100

snapd-glib (1.58-3) unstable; urgency=medium

  * debian/libsnapd-qt1.symbols:
    + Update for armel and armhf.
  * debian/rules:
    + Avoid running unit tests in parallel.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 04 Feb 2021 16:47:21 +0100

snapd-glib (1.58-2) unstable; urgency=medium

  * debian/libsnapd-qt1.symbols:
    + Re-create with pkgkde-symbolshelper tool. With the downside of starting
      afresh at 1.58 for all symbols.
  * debian/patches:
    + Drop reproducible.patch. Not required for 1.58, it seems. Patch seems
      to be applied upstream.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 04 Feb 2021 12:17:35 +0100

snapd-glib (1.58-1) unstable; urgency=medium

  * Team upload.

  [ Robert Ancell ]
  * New upstream release (1.55)
  * debian/libsnapd-glib1.symbols, debian/libsnapd-qt1.symbols:
    - Updated
  * debian/control:
    - Change snapd recommends to suggests

  [ Mike Gabriel ]
  * New upstream release (1.58)
  * debian/control:
    + Add B-D pkg-kde-tools.
    + Bump Standards-Version: to 4.5.1. No changes needed.
  * debian/rules:
    + Enable pkgkde_symbolshelper DH option.
  * debian/libsnapd-qt1.symbols:
    + Update symbols. (Closes: #957822).
  * debian/libsnapd-glib1.symbols:
    + Update symbols.
  * debian/copyright.in:
    + Update auto-generated copyright.in file.

  [ Chris Lamb ]
  * debian/patches:
    + Add reproducible.patch. (Closes: #952694).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 04 Feb 2021 00:12:19 +0100

snapd-glib (1.54-1) unstable; urgency=medium

  * New upstream release:
    - Fix snapd-glib pkg-config file not having correct include

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 26 Nov 2019 08:48:56 +1300

snapd-glib (1.52-1) unstable; urgency=medium

  * New upstream release (Closes: #944363)
  * debian/control:
    - Add build-depends on meson
  * debian/rules:
    - Drop autotools configuration
  * debian/snapd-glib-tests.install:
    - Put autopkg tests in multiarch location
  * debian/copyright:
    - Fix version number being incorrect in the LGPL-3 text
    - Update copyright years
  * debian/libsnapd-glib1.symbols:
  * debian/libsnapd-qt1.symbols:
    - Updated

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 19 Nov 2019 15:25:12 +1300

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libsnapd-glib-2-1`.
